Summary:       Enlightened terminal emulator
Name:          eterm
Version:       0.9.5
Release:       6%{?dist}
License:       BSD
Group:         User Interface/Desktops
Source0:       http://www.eterm.org/download/Eterm-%{version}.tar.gz
Source1:       http://www.eterm.org/download/Eterm-bg-%{version}.tar.gz
Source2:       %{name}.png
Patch1:        Eterm-0.9.4-no-rpath.patch
Patch2:        Eterm-0.9.4-automake-1.10.patch
Patch3:        Eterm-0.9.5-drop-kde-cut-paste.patch
URL:           http://www.eterm.org/
Requires:      imlib2 bitmap-fonts xorg-x11-fonts-misc
Requires:      xorg-x11-fonts-ISO8859-1-75dpi xorg-x11-fonts-ISO8859-1-100dpi
BuildRequires: imlib2-devel libast-devel libXmu-devel 
BuildRequires: pcre-devel desktop-file-utils gawk
BuildRequires: autoconf automake libtool
Provides:      Eterm = %{version}-%{release}
Obsoletes:     Eterm <= 0.9.2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Eterm is a color vt102 terminal emulator with enhanced graphical
capabilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a
replacement for xterm by users without Enlightenment.  Eterm supports
various themes and is very configurable, in keeping with the
philosophy of Enlightenment.

%prep
%setup -a 1 -q -n Eterm-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# Touching Makefile.am
./autogen.sh
%configure --enable-multi-charset \
           --enable-escreen       \
           --enable-auto-encoding \
           --enable-trans         \
           --disable-etwin        \
           --disable-mmx

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%makeinstall

echo -e "[Desktop Entry]
Encoding=UTF-8
Name=Eterm	
Comment=Eterm
TryExec=Eterm
Exec=Eterm
Icon=eterm.png
Type=Application
Categories=Utility;TerminalEmulator;System;" > %{name}.desktop

%{__install} -d %{buildroot}%{_datadir}/applications
%{__install} -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications

desktop-file-install --vendor fedora --delete-original           \
  --dir %{buildroot}%{_datadir}/applications  \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%{__install} -d %{buildroot}%{_datadir}/pixmaps
%{__install} -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root, 0755)
%doc doc/Eterm_reference.html doc/Eterm.1.html doc/Eterm.tcap 
%doc doc/Eterm.ti doc/README.Escreen LICENSE
%doc README ReleaseNotes ReleaseNotes.1 ChangeLog
%dir %{_datadir}/Eterm
%{_bindir}/Esetroot
%{_bindir}/Etbg
%{_bindir}/Etbg_update_list
%{_bindir}/Etcolors
%{_bindir}/Eterm
%{_bindir}/Etsearch
%{_bindir}/Ettable
%{_bindir}/kEsetroot
%{_libdir}/libEterm-%{version}.so
%exclude %{_libdir}/libEterm.a
%exclude %{_libdir}/libEterm.la
%exclude %{_libdir}/libEterm.so
%{_mandir}/man1/Eterm.1*
%{_datadir}/Eterm/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  1 2009 Terje Røsten <terje.rosten@ntnu.no> - 0.9.5-5
- Add xorg-x11-fonts-misc to req.

* Sun Mar  1 2009 Terje Røsten <terje.rosten@ntnu.no> - 0.9.5-4
- Add more fonts to req.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 10 2008 Terje Røsten <terje.rosten@ntnu.no> - 0.9.5-2
- Add patch to remove KDE cut-paste patch

* Tue Aug 12 2008 Terje Røsten <terje.rosten@ntnu.no> - 0.9.5-1
- 0.9.5
- Remove CVE-2008-1692 patch now upstream
- Add req on bitmap-fonts to bring in some fonts (bz #454937)

* Tue Apr  8 2008 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-10
- Closing CVE-2008-1692

* Sat Feb  9 2008 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-9
- Rebuild

* Tue Aug 28 2007 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-8
- Need gawk to build
	
* Tue Aug 28 2007 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-7
- Rebuild

* Mon Jun 25 2007 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-6
- Remove Application from Categories list in desktop file

* Sun Nov 26 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-5
- Move to System Tools menu (bz #241054)

* Sun Nov 26 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-4
- Add patch to build with automake-1.10
- Add smp flags to make

* Sat Nov 25 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-3
- Use automake-1.9

* Fri Nov 24 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-2
- Add libXmu-devel and pcre-devel to BuildReq
- Simplify desktop file handling
- Add --disable-etwin to configure

* Sat Sep  2 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.4-1
- 0.9.4
- LICENSE now included in upstream package
- Add rpath patch
- Touching Makefile.am, add auto* tools buildreq.

* Sun Feb 19 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.3-2
- Add LICENSE
- UTF-8 specfile
- Fix buildroot var
- Not explicit depend on libast

* Sun Feb 19 2006 Terje Røsten <terje.rosten@ntnu.no> - 0.9.3-1
- 0.9.3

* Wed Nov 13 2002 Che
- initial rpm release
